Cloud Google Cloud Registration
Operations for the Cloud Google Cloud Registration service collection.
| Language | Last Update |
|---|---|
| Python | v1.6.5 |
| PowerShell | |
| Go | v0.22.0 |
| TypeScript | v0.6.0 |
| Rust | |
| Ruby | v1.4.0 |
Table of Contents
Section titled “Table of Contents”| Operation | Description |
|---|---|
cloud-registration-gcp-create-registrationcreate_registration | Create a Google Cloud Registration. |
cloud-registration-gcp-delete-registrationdelete_registration | Deletes a Google Cloud Registration and returns the deleted registration in the response body. |
cloud-registration-gcp-get-entitiesget_entities | Retrieve all GCP entities (organizations, folders, projects) grouped by type with support for FQL filtering, sorting, and pagination. |
cloud-registration-gcp-get-registrationget_registration | Retrieve a Google Cloud Registration. |
cloud-registration-gcp-post-terraform-scriptcloud_registration_gcp_post_terraform_script | Generate Google Cloud Terraform deployment scripts (zip files) |
cloud-registration-gcp-put-registrationupdate_registration | Creates/Updates a Google Cloud Registration. |
cloud-registration-gcp-trigger-health-checktrigger_health_check | Trigger health check scan for GCP registrations |
cloud-registration-gcp-update-registrationcloud_registration_gcp_update_registration | Update a Google Cloud Registration. |
cloud-registration-gcp-create-registration
Section titled “cloud-registration-gcp-create-registration”Create a Google Cloud Registration.
create_registrationParameters
Section titled “Parameters”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
labels = { "additionalProp1": "string", "additionalProp2": "string", "additionalProp3": "string"}
products = [ { "features": [ "string" ], "product": "string" }]
response = falcon.create_registration(deployment_method="string", entity_id=id_list, excluded_project_patterns=id_list, falcon_client_key_id="string", falcon_client_key_type="string", infra_project_id="string", labels=labels, products=products, registration_name="string", registration_scope="string", resource_name_prefix="string")print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
labels = { "additionalProp1": "string", "additionalProp2": "string", "additionalProp3": "string"}
products = [ { "features": [ "string" ], "product": "string" }]
response = falcon.cloud_registration_gcp_create_registration(deployment_method="string", entity_id=id_list, excluded_project_patterns=id_list, falcon_client_key_id="string", falcon_client_key_type="string", infra_project_id="string", labels=labels, products=products, registration_name="string", registration_scope="string", resource_name_prefix="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
body_payload = { "resources": [ { "additional_properties": {}, "deployment_method": "string", "dspm_settings": { "deployment_version": "string", "infra": {}, "user_inputs": {}, "wif_principal": "string" }, "entity_id": ["string"], "excluded_project_patterns": ["string"], "falcon_client_key_id": "string", "falcon_client_key_type": "string", "infra_manager_region": "string", "infra_project_id": "string", "labels": {}, "products": [ { "features": ["string"], "product": "string" } ], "registration_description": "string", "registration_name": "string", "registration_scope": "string", "resource_name_prefix": "string", "resource_name_suffix": "string", "tags": {}, "vulnerability_scanning_settings": { "deployment_version": "string", "infra": {}, "user_inputs": {}, "wif_principal": "string" }, "wif_project_id": "string", "wif_project_number": "string" } ]}
response = falcon.command("cloud_registration_gcp_create_registration", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
deployment_method := "string" falcon_client_key_id := "string" falcon_client_key_type := "string" infra_manager_region := "string" infra_project_id := "string" product := "string" registration_description := "string" registration_name := "string" registration_scope := "string" resource_name_prefix := "string" resource_name_suffix := "string" wif_project_id := "string" wif_project_number := "string"
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpCreateRegistration( &cloud_google_cloud_registration.CloudRegistrationGcpCreateRegistrationParams{ Body: &models.DtoGCPRegistrationCreateRequestExtV1{ Resources: []interface{}{ { AdditionalProperties: &struct{}{}, DeploymentMethod: &deployment_method, DspmSettings: &struct{}{}, EntityID: []string{"string"}, ExcludedProjectPatterns: []string{"string"}, FalconClientKeyID: &falcon_client_key_id, FalconClientKeyType: &falcon_client_key_type, InfraManagerRegion: &infra_manager_region, InfraProjectID: &infra_project_id, Labels: &struct{}{}, Products: []interface{}{ { Features: []string{"string"}, Product: &product, }, }, RegistrationDescription: ®istration_description, RegistrationName: ®istration_name, RegistrationScope: ®istration_scope, ResourceNamePrefix: &resource_name_prefix, ResourceNameSuffix: &resource_name_suffix, Tags: &struct{}{}, VulnerabilityScanningSettings: &struct{}{}, WifProjectID: &wif_project_id, WifProjectNumber: &wif_project_number, }, }, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpCreateRegistration( { resources: [{ additionalProperties: {}, deploymentMethod: "string", dspmSettings: { deploymentVersion: "string", infra: {}, userInputs: {}, wifPrincipal: "string" }, entityId: [], excludedProjectPatterns: [], falconClientKeyId: "string", falconClientKeyType: "string", infraManagerRegion: "string", infraProjectId: "string", labels: {}, products: [{ features: [], product: "string" }], registrationDescription: "string", registrationName: "string", registrationScope: "string", resourceNamePrefix: "string", resourceNameSuffix: "string", tags: {}, vulnerabilityScanningSettings: { deploymentVersion: "string", infra: {}, userInputs: {}, wifPrincipal: "string" }, wifProjectId: "string", wifProjectNumber: "string" }]} // body);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
body = Falcon::DtoGCPRegistrationCreateRequestExtV1.new( resources: [{ additional_properties: {}, deployment_method: 'string', dspm_settings: { deployment_version: 'string', infra: {}, user_inputs: {}, wif_principal: 'string' }, entity_id: [], excluded_project_patterns: [], falcon_client_key_id: 'string', falcon_client_key_type: 'string', infra_manager_region: 'string', infra_project_id: 'string', labels: {}, products: [{ features: [], product: 'string' }], registration_description: 'string', registration_name: 'string', registration_scope: 'string', resource_name_prefix: 'string', resource_name_suffix: 'string', tags: {}, vulnerability_scanning_settings: { deployment_version: 'string', infra: {}, user_inputs: {}, wif_principal: 'string' }, wif_project_id: 'string', wif_project_number: 'string' }])
response = api.cloud_registration_gcp_create_registration(body)
puts response[ { "additional_properties": {}, "cloud_registration_enabled": false, "created": "string", "cspm_enabled": false, "deployment_method": "string", "dspm_settings": {}, "excluded_project_patterns": [], "falcon_client_key_id": "string", "falcon_client_key_type": "string", "folders": [], "infra_manager_properties": {}, "infra_project_id": "string", "labels": {}, "last_healthcheck_completed_at": "string", "log_ingestion_properties": {}, "organization": {}, "products": [], "projects": [], "registration_description": "string", "registration_id": "string", "registration_name": "string", "registration_scope": "string", "resource_name_prefix": "string", "resource_name_suffix": "string", "service_account_properties": {}, "status": "string", "tags": {}, "updated": "string", "vulnerability_scanning_settings": {}, "wif_properties": {} }]{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}cloud-registration-gcp-delete-registration
Section titled “cloud-registration-gcp-delete-registration”Deletes a Google Cloud Registration and returns the deleted registration in the response body.
delete_registrationParameters
Section titled “Parameters”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_registration(ids=id_list)print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.cloud_registration_gcp_delete_registration(ids=id_list)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command("cloud_registration_gcp_delete_registration", ids="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpDeleteRegistration( &cloud_google_cloud_registration.CloudRegistrationGcpDeleteRegistrationParams{ Ids: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpDeleteRegistration("string"); // ids
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
response = api.cloud_registration_gcp_delete_registration('string')
puts response[ { "additional_properties": {}, "cloud_registration_enabled": false, "created": "string", "cspm_enabled": false, "deployment_method": "string", "dspm_settings": {}, "excluded_project_patterns": [], "falcon_client_key_id": "string", "falcon_client_key_type": "string", "folders": [], "infra_manager_properties": {}, "infra_project_id": "string", "labels": {}, "last_healthcheck_completed_at": "string", "log_ingestion_properties": {}, "organization": {}, "products": [], "projects": [], "registration_description": "string", "registration_id": "string", "registration_name": "string", "registration_scope": "string", "resource_name_prefix": "string", "resource_name_suffix": "string", "service_account_properties": {}, "status": "string", "tags": {}, "updated": "string", "vulnerability_scanning_settings": {}, "wif_properties": {} }]{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}cloud-registration-gcp-get-entities
Section titled “cloud-registration-gcp-get-entities”Retrieve all GCP entities (organizations, folders, projects) grouped by type with support for FQL filtering, sorting, and pagination.
get_entitiesParameters
Section titled “Parameters”Available values (14)
entity_type | entity_id | entity_name |
registration_id | registration_name | registration_scope |
parent_id | project_number | ioa_status |
iom_status | dspm_status | vulnerability_scanning_status |
created | updated |
created|desc). Sorting applies across all entity types before grouping.from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_entities(ids=id_list, filter="string", sort="string", limit=integer, offset=integer)print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.cloud_registration_gcp_get_entities(ids=id_list, filter="string", sort="string", limit=integer, offset=integer)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command("cloud_registration_gcp_get_entities", ids=id_list, filter="string", sort="string", limit=integer, offset=integer)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
filter := "string" sort := "string" limit := int64(0) offset := int64(0)
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpGetEntities( &cloud_google_cloud_registration.CloudRegistrationGcpGetEntitiesParams{ Ids: []string{"ID1", "ID2", "ID3"}, Filter: &filter, Sort: &sort, Limit: &limit, Offset: &offset, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpGetEntities( ["ID1", "ID2", "ID3"], // ids "string", // filter "string", // sort integer, // limit integer // offset);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
response = api.cloud_registration_gcp_get_entities(ids: ['ID1', 'ID2', 'ID3'], filter: 'string', sort: 'string', limit: integer, offset: integer)
puts response{ "folders": [], "organizations": [], "projects": []}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}cloud-registration-gcp-get-registration
Section titled “cloud-registration-gcp-get-registration”Retrieve a Google Cloud Registration.
get_registrationParameters
Section titled “Parameters”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_registration(ids=id_list)print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.cloud_registration_gcp_get_registration(ids=id_list)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command("cloud_registration_gcp_get_registration", ids="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpGetRegistration( &cloud_google_cloud_registration.CloudRegistrationGcpGetRegistrationParams{ Ids: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpGetRegistration("string"); // ids
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
response = api.cloud_registration_gcp_get_registration('string')
puts response[ { "additional_properties": {}, "cloud_registration_enabled": false, "created": "string", "cspm_enabled": false, "deployment_method": "string", "dspm_settings": {}, "excluded_project_patterns": [], "falcon_client_key_id": "string", "falcon_client_key_type": "string", "folders": [], "infra_manager_properties": {}, "infra_project_id": "string", "labels": {}, "last_healthcheck_completed_at": "string", "log_ingestion_properties": {}, "organization": {}, "products": [], "projects": [], "registration_description": "string", "registration_id": "string", "registration_name": "string", "registration_scope": "string", "resource_name_prefix": "string", "resource_name_suffix": "string", "service_account_properties": {}, "status": "string", "tags": {}, "updated": "string", "vulnerability_scanning_settings": {}, "wif_properties": {} }]{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}cloud-registration-gcp-post-terraform-script
Section titled “cloud-registration-gcp-post-terraform-script”Generate Google Cloud Terraform deployment scripts (zip files)
cloud_registration_gcp_post_terraform_scriptParameters
Section titled “Parameters”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.cloud_registration_gcp_post_terraform_script(resources=["string"])print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.cloud_registration_gcp_post_terraform_script(resources=["string"])print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
body_payload = { "resources": [ { "dspm_settings": { "deployment_version": "string", "infra": {}, "user_inputs": {}, "wif_principal": "string" }, "entity_id": ["string"], "excluded_project_patterns": ["string"], "falcon_client_key_id": "string", "falcon_client_key_type": "string", "infra_project_id": "string", "labels": "string", "realtime_visibility_enabled": boolean, "registration_id": "string", "registration_name": "string", "resource_name_prefix": "string", "resource_name_suffix": "string", "tags": "string", "vars_only": boolean, "vulnerability_scanning_settings": { "deployment_version": "string", "infra": {}, "user_inputs": {}, "wif_principal": "string" }, "wif_project_id": "string" } ]}
response = falcon.command("cloud_registration_gcp_post_terraform_script", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
falcon_client_key_id := "string" falcon_client_key_type := "string" infra_project_id := "string" labels := "string" realtime_visibility_enabled := boolean registration_id := "string" registration_name := "string" resource_name_prefix := "string" resource_name_suffix := "string" tags := "string" vars_only := boolean wif_project_id := "string"
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpPostTerraformScript( &cloud_google_cloud_registration.CloudRegistrationGcpPostTerraformScriptParams{ Body: &models.DtoGCPTerraformScriptRequestV1{ Resources: []interface{}{ { DspmSettings: &struct{}{}, EntityID: []string{"string"}, ExcludedProjectPatterns: []string{"string"}, FalconClientKeyID: &falcon_client_key_id, FalconClientKeyType: &falcon_client_key_type, InfraProjectID: &infra_project_id, Labels: &labels, RealtimeVisibilityEnabled: &realtime_visibility_enabled, RegistrationID: ®istration_id, RegistrationName: ®istration_name, ResourceNamePrefix: &resource_name_prefix, ResourceNameSuffix: &resource_name_suffix, Tags: &tags, VarsOnly: &vars_only, VulnerabilityScanningSettings: &struct{}{}, WifProjectID: &wif_project_id, }, }, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpPostTerraformScript( { resources: [{ dspmSettings: { deploymentVersion: "string", infra: {}, userInputs: {}, wifPrincipal: "string" }, entityId: [], excludedProjectPatterns: [], falconClientKeyId: "string", falconClientKeyType: "string", infraProjectId: "string", labels: "string", realtimeVisibilityEnabled: boolean, registrationId: "string", registrationName: "string", resourceNamePrefix: "string", resourceNameSuffix: "string", tags: "string", varsOnly: boolean, vulnerabilityScanningSettings: { deploymentVersion: "string", infra: {}, userInputs: {}, wifPrincipal: "string" }, wifProjectId: "string" }]} // body);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
body = Falcon::DtoGCPTerraformScriptRequestV1.new( resources: [{ dspm_settings: { deployment_version: 'string', infra: {}, user_inputs: {}, wif_principal: 'string' }, entity_id: [], excluded_project_patterns: [], falcon_client_key_id: 'string', falcon_client_key_type: 'string', infra_project_id: 'string', labels: 'string', realtime_visibility_enabled: boolean, registration_id: 'string', registration_name: 'string', resource_name_prefix: 'string', resource_name_suffix: 'string', tags: 'string', vars_only: boolean, vulnerability_scanning_settings: { deployment_version: 'string', infra: {}, user_inputs: {}, wif_principal: 'string' }, wif_project_id: 'string' }])
response = api.cloud_registration_gcp_post_terraform_script(body)
puts response{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}cloud-registration-gcp-put-registration
Section titled “cloud-registration-gcp-put-registration”Creates/Updates a Google Cloud Registration.
update_registrationParameters
Section titled “Parameters”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
labels = { "additionalProp1": "string", "additionalProp2": "string", "additionalProp3": "string"}
products = [ { "features": [ "string" ], "product": "string" }]
response = falcon.update_registration(deployment_method="string", entity_id=id_list, excluded_project_patterns=id_list, falcon_client_key_id="string", falcon_client_key_type="string", infra_project_id="string", labels=labels, products=products, registration_name="string", registration_scope="string", resource_name_prefix="string")print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
labels = { "additionalProp1": "string", "additionalProp2": "string", "additionalProp3": "string"}
products = [ { "features": [ "string" ], "product": "string" }]
response = falcon.cloud_registration_gcp_put_registration(deployment_method="string", entity_id=id_list, excluded_project_patterns=id_list, falcon_client_key_id="string", falcon_client_key_type="string", infra_project_id="string", labels=labels, products=products, registration_name="string", registration_scope="string", resource_name_prefix="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
body_payload = { "resources": [ { "additional_properties": {}, "deployment_method": "string", "dspm_settings": { "deployment_version": "string", "infra": {}, "user_inputs": {}, "wif_principal": "string" }, "entity_id": ["string"], "excluded_project_patterns": ["string"], "falcon_client_key_id": "string", "falcon_client_key_type": "string", "infra_manager_region": "string", "infra_project_id": "string", "labels": {}, "products": [ { "features": ["string"], "product": "string" } ], "registration_description": "string", "registration_name": "string", "registration_scope": "string", "resource_name_prefix": "string", "resource_name_suffix": "string", "tags": {}, "vulnerability_scanning_settings": { "deployment_version": "string", "infra": {}, "user_inputs": {}, "wif_principal": "string" }, "wif_project_id": "string", "wif_project_number": "string" } ]}
response = falcon.command("cloud_registration_gcp_put_registration", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
deployment_method := "string" falcon_client_key_id := "string" falcon_client_key_type := "string" infra_manager_region := "string" infra_project_id := "string" product := "string" registration_description := "string" registration_name := "string" registration_scope := "string" resource_name_prefix := "string" resource_name_suffix := "string" wif_project_id := "string" wif_project_number := "string"
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpPutRegistration( &cloud_google_cloud_registration.CloudRegistrationGcpPutRegistrationParams{ Body: &models.DtoGCPRegistrationCreateRequestExtV1{ Resources: []interface{}{ { AdditionalProperties: &struct{}{}, DeploymentMethod: &deployment_method, DspmSettings: &struct{}{}, EntityID: []string{"string"}, ExcludedProjectPatterns: []string{"string"}, FalconClientKeyID: &falcon_client_key_id, FalconClientKeyType: &falcon_client_key_type, InfraManagerRegion: &infra_manager_region, InfraProjectID: &infra_project_id, Labels: &struct{}{}, Products: []interface{}{ { Features: []string{"string"}, Product: &product, }, }, RegistrationDescription: ®istration_description, RegistrationName: ®istration_name, RegistrationScope: ®istration_scope, ResourceNamePrefix: &resource_name_prefix, ResourceNameSuffix: &resource_name_suffix, Tags: &struct{}{}, VulnerabilityScanningSettings: &struct{}{}, WifProjectID: &wif_project_id, WifProjectNumber: &wif_project_number, }, }, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpPutRegistration( { resources: [{ additionalProperties: {}, deploymentMethod: "string", dspmSettings: { deploymentVersion: "string", infra: {}, userInputs: {}, wifPrincipal: "string" }, entityId: [], excludedProjectPatterns: [], falconClientKeyId: "string", falconClientKeyType: "string", infraManagerRegion: "string", infraProjectId: "string", labels: {}, products: [{ features: [], product: "string" }], registrationDescription: "string", registrationName: "string", registrationScope: "string", resourceNamePrefix: "string", resourceNameSuffix: "string", tags: {}, vulnerabilityScanningSettings: { deploymentVersion: "string", infra: {}, userInputs: {}, wifPrincipal: "string" }, wifProjectId: "string", wifProjectNumber: "string" }]} // body);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
body = Falcon::DtoGCPRegistrationCreateRequestExtV1.new( resources: [{ additional_properties: {}, deployment_method: 'string', dspm_settings: { deployment_version: 'string', infra: {}, user_inputs: {}, wif_principal: 'string' }, entity_id: [], excluded_project_patterns: [], falcon_client_key_id: 'string', falcon_client_key_type: 'string', infra_manager_region: 'string', infra_project_id: 'string', labels: {}, products: [{ features: [], product: 'string' }], registration_description: 'string', registration_name: 'string', registration_scope: 'string', resource_name_prefix: 'string', resource_name_suffix: 'string', tags: {}, vulnerability_scanning_settings: { deployment_version: 'string', infra: {}, user_inputs: {}, wif_principal: 'string' }, wif_project_id: 'string', wif_project_number: 'string' }])
response = api.cloud_registration_gcp_put_registration(body)
puts response[ { "additional_properties": {}, "cloud_registration_enabled": false, "created": "string", "cspm_enabled": false, "deployment_method": "string", "dspm_settings": {}, "excluded_project_patterns": [], "falcon_client_key_id": "string", "falcon_client_key_type": "string", "folders": [], "infra_manager_properties": {}, "infra_project_id": "string", "labels": {}, "last_healthcheck_completed_at": "string", "log_ingestion_properties": {}, "organization": {}, "products": [], "projects": [], "registration_description": "string", "registration_id": "string", "registration_name": "string", "registration_scope": "string", "resource_name_prefix": "string", "resource_name_suffix": "string", "service_account_properties": {}, "status": "string", "tags": {}, "updated": "string", "vulnerability_scanning_settings": {}, "wif_properties": {} }]{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}cloud-registration-gcp-trigger-health-check
Section titled “cloud-registration-gcp-trigger-health-check”Trigger health check scan for GCP registrations
trigger_health_checkParameters
Section titled “Parameters”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.trigger_health_check(ids=id_list)print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.cloud_registration_gcp_trigger_health_check(ids=id_list)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command("cloud_registration_gcp_trigger_health_check", ids=id_list)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpTriggerHealthCheck( &cloud_google_cloud_registration.CloudRegistrationGcpTriggerHealthCheckParams{ Ids: []string{"ID1", "ID2", "ID3"}, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpTriggerHealthCheck(["ID1", "ID2", "ID3"]); // ids
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
response = api.cloud_registration_gcp_trigger_health_check(ids: ['ID1', 'ID2', 'ID3'])
puts response[ { "registration_id": "string" }]{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}cloud-registration-gcp-update-registration
Section titled “cloud-registration-gcp-update-registration”Update a Google Cloud Registration.
cloud_registration_gcp_update_registrationParameters
Section titled “Parameters”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
labels = { "additionalProp1": "string", "additionalProp2": "string", "additionalProp3": "string"}
products = [ { "features": [ "string" ], "product": "string" }]
response = falcon.cloud_registration_gcp_update_registration(ids=id_list, deployment_method="string", entity_id=id_list, excluded_project_patterns=id_list, falcon_client_key_id="string", falcon_client_key_type="string", infra_project_id="string", labels=labels, products=products, registration_name="string", registration_scope="string", resource_name_prefix="string")print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
labels = { "additionalProp1": "string", "additionalProp2": "string", "additionalProp3": "string"}
products = [ { "features": [ "string" ], "product": "string" }]
response = falcon.cloud_registration_gcp_update_registration(ids=id_list, deployment_method="string", entity_id=id_list, excluded_project_patterns=id_list, falcon_client_key_id="string", falcon_client_key_type="string", infra_project_id="string", labels=labels, products=products, registration_name="string", registration_scope="string", resource_name_prefix="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
body_payload = { "resources": [ { "additional_properties": {}, "deployment_method": "string", "dspm_settings": { "deployment_version": "string", "infra": {}, "user_inputs": {}, "wif_principal": "string" }, "entity_id": ["string"], "excluded_project_patterns": ["string"], "falcon_client_key_id": "string", "falcon_client_key_type": "string", "infra_manager_region": "string", "infra_project_id": "string", "labels": {}, "log_ingestion_sink_name": "string", "log_ingestion_subscription_name": "string", "log_ingestion_topic_id": "string", "products": [ { "features": ["string"], "product": "string" } ], "registration_description": "string", "registration_name": "string", "registration_scope": "string", "resource_name_prefix": "string", "resource_name_suffix": "string", "tags": {}, "vulnerability_scanning_settings": { "deployment_version": "string", "infra": {}, "user_inputs": {}, "wif_principal": "string" }, "wif_pool_name": "string", "wif_project_id": "string", "wif_project_number": "string", "wif_provider_name": "string" } ]}
response = falcon.command("cloud_registration_gcp_update_registration", ids="string", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
deployment_method := "string" falcon_client_key_id := "string" falcon_client_key_type := "string" infra_manager_region := "string" infra_project_id := "string" log_ingestion_sink_name := "string" log_ingestion_subscription_name := "string" log_ingestion_topic_id := "string" product := "string" registration_description := "string" registration_name := "string" registration_scope := "string" resource_name_prefix := "string" resource_name_suffix := "string" wif_pool_name := "string" wif_project_id := "string" wif_project_number := "string" wif_provider_name := "string"
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpUpdateRegistration( &cloud_google_cloud_registration.CloudRegistrationGcpUpdateRegistrationParams{ Body: &models.DtoGCPRegistrationUpdateRequestExtV1{ Resources: []interface{}{ { AdditionalProperties: &struct{}{}, DeploymentMethod: &deployment_method, DspmSettings: &struct{}{}, EntityID: []string{"string"}, ExcludedProjectPatterns: []string{"string"}, FalconClientKeyID: &falcon_client_key_id, FalconClientKeyType: &falcon_client_key_type, InfraManagerRegion: &infra_manager_region, InfraProjectID: &infra_project_id, Labels: &struct{}{}, LogIngestionSinkName: &log_ingestion_sink_name, LogIngestionSubscriptionName: &log_ingestion_subscription_name, LogIngestionTopicID: &log_ingestion_topic_id, Products: []interface{}{ { Features: []string{"string"}, Product: &product, }, }, RegistrationDescription: ®istration_description, RegistrationName: ®istration_name, RegistrationScope: ®istration_scope, ResourceNamePrefix: &resource_name_prefix, ResourceNameSuffix: &resource_name_suffix, Tags: &struct{}{}, VulnerabilityScanningSettings: &struct{}{}, WifPoolName: &wif_pool_name, WifProjectID: &wif_project_id, WifProjectNumber: &wif_project_number, WifProviderName: &wif_provider_name, }, }, }, Ids: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpUpdateRegistration( "string", // ids { // body resources: [{ additionalProperties: {}, deploymentMethod: "string", dspmSettings: { deploymentVersion: "string", infra: {}, userInputs: {}, wifPrincipal: "string" }, entityId: [], excludedProjectPatterns: [], falconClientKeyId: "string", falconClientKeyType: "string", infraManagerRegion: "string", infraProjectId: "string", labels: {}, logIngestionSinkName: "string", logIngestionSubscriptionName: "string", logIngestionTopicId: "string", products: [{ features: [], product: "string" }], registrationDescription: "string", registrationName: "string", registrationScope: "string", resourceNamePrefix: "string", resourceNameSuffix: "string", tags: {}, vulnerabilityScanningSettings: { deploymentVersion: "string", infra: {}, userInputs: {}, wifPrincipal: "string" }, wifPoolName: "string", wifProjectId: "string", wifProjectNumber: "string", wifProviderName: "string" }] });
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
body = Falcon::DtoGCPRegistrationUpdateRequestExtV1.new( resources: [{ additional_properties: {}, deployment_method: 'string', dspm_settings: { deployment_version: 'string', infra: {}, user_inputs: {}, wif_principal: 'string' }, entity_id: [], excluded_project_patterns: [], falcon_client_key_id: 'string', falcon_client_key_type: 'string', infra_manager_region: 'string', infra_project_id: 'string', labels: {}, log_ingestion_sink_name: 'string', log_ingestion_subscription_name: 'string', log_ingestion_topic_id: 'string', products: [{ features: [], product: 'string' }], registration_description: 'string', registration_name: 'string', registration_scope: 'string', resource_name_prefix: 'string', resource_name_suffix: 'string', tags: {}, vulnerability_scanning_settings: { deployment_version: 'string', infra: {}, user_inputs: {}, wif_principal: 'string' }, wif_pool_name: 'string', wif_project_id: 'string', wif_project_number: 'string', wif_provider_name: 'string' }])
response = api.cloud_registration_gcp_update_registration(body, 'string')
puts response[ { "additional_properties": {}, "cloud_registration_enabled": false, "created": "string", "cspm_enabled": false, "deployment_method": "string", "dspm_settings": {}, "excluded_project_patterns": [], "falcon_client_key_id": "string", "falcon_client_key_type": "string", "folders": [], "infra_manager_properties": {}, "infra_project_id": "string", "labels": {}, "last_healthcheck_completed_at": "string", "log_ingestion_properties": {}, "organization": {}, "products": [], "projects": [], "registration_description": "string", "registration_id": "string", "registration_name": "string", "registration_scope": "string", "resource_name_prefix": "string", "resource_name_suffix": "string", "service_account_properties": {}, "status": "string", "tags": {}, "updated": "string", "vulnerability_scanning_settings": {}, "wif_properties": {} }]{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}